WebM Codec SDK: vpx_image Struct Reference

WebM Codec SDK

Data Fields
vpx_image Struct Reference

Image Descriptor. More...

`#include <vpx_image.h>`

## Data Fields
vpx_img_fmt_t | fmt
vpx_color_space_t | cs
vpx_color_range_t | range
unsigned int | w
unsigned int | h
unsigned int | bit_depth
unsigned int | d_w
unsigned int | d_h
unsigned int | r_w
unsigned int | r_h
unsigned int | x_chroma_shift
unsigned int | y_chroma_shift
unsigned char * | planes [4]
int | stride [4]
int | bps
void * | user_priv
| The following member may be set by the application to associate data with this image.
unsigned char * | img_data
int | img_data_owner
int | self_allocd
void * | fb_priv

## Detailed Description

Image Descriptor.

## Field Documentation

## ◆ fmt

vpx_img_fmt_t vpx_image::fmt

Image Format

## ◆ cs

vpx_color_space_t vpx_image::cs

Color Space

## ◆ range

vpx_color_range_t vpx_image::range

Color Range

## ◆ w

unsigned int vpx_image::w

Stored image width

## ◆ h

unsigned int vpx_image::h

Stored image height

## ◆ bit_depth

unsigned int vpx_image::bit_depth

Stored image bit-depth

## ◆ d_w

unsigned int vpx_image::d_w

Displayed image width

## ◆ d_h

unsigned int vpx_image::d_h

Displayed image height

## ◆ r_w

unsigned int vpx_image::r_w

Intended rendering image width

## ◆ r_h

unsigned int vpx_image::r_h

Intended rendering image height

## ◆ x_chroma_shift

unsigned int vpx_image::x_chroma_shift

subsampling order, X

## ◆ y_chroma_shift

unsigned int vpx_image::y_chroma_shift

subsampling order, Y

## ◆ planes

unsigned char* vpx_image::planes[4]

pointer to the top left pixel for each plane

## ◆ stride

int vpx_image::stride[4]

stride between rows for each plane

## ◆ bps

int vpx_image::bps

bits per sample (for packed formats)

## ◆ img_data

unsigned char* vpx_image::img_data

private

## ◆ img_data_owner

int vpx_image::img_data_owner

private

## ◆ self_allocd

int vpx_image::self_allocd

private

## ◆ fb_priv

void* vpx_image::fb_priv

Frame buffer data associated with the image.

The documentation for this struct was generated from the following file:

- vpx/vpx_image.h